Cancel Redemption (Redemptions 1.0)
Allows users to cancel their redemption if it has not been processed, enabling them to select a new one without waiting for the redemption code to expire. Once the redemption is processed, the user cannot cancel it.
The cancel_redemption response parameter in the Program Meta API indicates whether the user can revoke (cancel) the generated redemption code from the brand's app. This is controlled by hiding or displaying the cancel redemption button on the brand's app. Contact your Punchh representative to update this Punchh platform configuration.
Cancel Redemption Failure Scenarios
The API returns an error if the discount associated with the redemption you want to cancel is invalid, already redeemed/honored, cancelled, or expired.
View Cancelled Redemption Status
The Punchh platform displays the cancelled redemption on the user’s timeline and in the Account History tab.
If you have a redemption code for the cancelled redemption, you can use the Search Redemption Code API to verify the status of the cancelled redemption.
- Type: integer Format: int64redemption
_id requiredRedemption ID returned when the redemption is created
- Type: stringAcceptrequired
Advertises which content types the client is able to understand
- Type: stringAuthorizationrequired
Used to authorize the request with access_token. It should be supplied as
Bearer ACCESS_TOKEN_GOES_HERE. - Type: stringContent
- Type requiredSet this header to application/json.
- Type: stringUser
- Agent requiredUsed to Identify the software, device, and application initiating the request, providing information about the client to the server. For details, see User Agent.
- Type: stringpunchh
-app -device -id requiredThe app device ID helps Punchh identify each device so that certain rewards can be awarded individually to each device instead of per user. For example, the sign-up reward is given to each device ID to prevent fraudulent sign-ups so that a user cannot do repeated sign-ups from a single device to get rewards. It should not change even if the user resets a device. See the sample code to generate the punchh-app-device-id header.
- Type: stringx
-pch -digest requiredThe signature for the API call
- Type: stringAccept
- Language Preferred language
- Type: stringclientrequired
OAuth client ID provided by the business
- 200
OK - Redemption successfully cancelled
- application/json
- application/json
curl https://SERVER_NAME_GOES_HERE.punchh.com/api2/mobile/redemptions/1 \
--request DELETE \
--header 'Accept: application/json' \
--header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
--header 'Content-Type: application/json' \
--header 'User-Agent: AppIdentifier/VersionNumber/BuildNumber(OS_Type)' \
--header 'punchh-app-device-id: APP_DEVICE_ID_GOES_HERE' \
--header 'x-pch-digest: {{$$.env.signature}}' \
--data '{
"client": "CLIENT_GOES_HERE",
"redemption_id": 490636366
}'